if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[up_EntryReadyToIndex]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[up_EntryReadyToIndex]
GO

create   proc up_EntryReadyToIndex
@ixArchiveEntry int
as
SET NOCOUNT ON
------------------------------------
/*
CreateDate: 		2006-02-16
CreateBy:		DEXLEAP.COM
CreatePurpose:

(1)The index status needs to be changed to "ready"
This should be issued AFTER the entry text imported

RevisDate:
ReviseBy:
ReviseReason:
*/
------------------------------------
------------------------------------
--Customize Declaration
------------------------------------
------------------------------------
--Customize Initialize
------------------------------------
------------------------------------
--Main Logic
------------------------------------
Update tdatArchiveEntry
Set
	--we can safely issue this "ready" flag now
	nIndexStatus = 1	
From
	tdatArchiveEntry
Where
	ixArchiveEntry = @ixArchiveEntry 
------------------------------------
--OutPut
------------------------------------


